<?php
namespace Incoviba\nuevo\Venta;

use Incoviba\Common\Alias\NewEstado;

/**
 * 
 * @author Aldarien
 * @property Venta venta_id
 * @property TipoEstadoVenta estado_id
 *
 */
class EstadoVenta extends NewEstado
{
	protected static $_table = 'estado_ventas';
	
    public function venta()
    {
    	return $this->belongsTo(Venta::class, 'venta_id')->findOne();
    }
    public function estado()
    {
    	return $this->belongsTo(TipoEstadoVenta::class, 'estado_id')->findOne();
    }
}
